package sidekick;

/**
 * GhostElement should be in own file?
 *
 *   -At the moment the aType attribute is not used (Should it?)
 *
 * <p>Title: Class GhostElement</p>
 * <p>Description: Represents objects that are stored as userObjects in DefaultMutableTreeNodes when
 *   considering a ghost node. A ghost node in a tree van be used to add an element at that position</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: University of Jyvskyl / Xetor</p>
 * @author Jani Lirkki
 * @version 1.0
 */


public class GhostElement extends Object {
  public static final int BEFORE = 0;
  public static final int INSIDE = 1;
  public static final int AFTER = 2;

  private int aOffsetStart;
  private int aOffsetEnd; // ghostelement offset at the buffer
  private int aType; // type: before, inside or after. probably not needed??



  public GhostElement(int pOffsetStart,int pOffsetEnd, int pType) {
    aOffsetStart = pOffsetStart;
    aOffsetEnd = pOffsetEnd;
    aType = pType;
  }

  public int getOffsetEnd() {
    return aOffsetEnd;
  }

  public int getOffsetStart() {
    return aOffsetStart;
  }

  public String toString() {
    String retval;

    switch (aType) {
      case BEFORE:
        retval = "Before...";
        break;
      case INSIDE:
        retval = "Inside...";
        break;
      case AFTER:
        retval = "After...";
        break;
      default:
        retval = "GhostElement error";
    }
    return retval;

    //return "Insert element..."/* + aOffset*/;
  }
}
