/**
 * <p>Title: LanguageOptionPane</p>
 * <p>Description: Language could be changed here.</p>
 * <p>Copyright: Copyright (c) 2004. Licensed under the Academic Free License version 2.0.</p>
 * <p>Company: University of Jyvskyl</p>
 * @author Jussi Risnen
 * @version 0.002
 */


package org.gjt.sp.jedit.options;

//{{{ Imports
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import java.io.*;
import org.gjt.sp.jedit.gui.FontSelector;
import org.gjt.sp.jedit.*;
import org.gjt.sp.util.Log;
//}}}

public class LanguageOptionPane extends AbstractOptionPane
{
	//{{{ LanguageOptionPane constructor
	public LanguageOptionPane()
	{
		super("language");
	} //}}}

	//{{{ _init() method
	protected void _init()
	{
		/* language */
		addComponent(new JLabel(jEdit.getProperty("options.language.note")));

		/* Language status */
		String[] LanguageOptions = {
			jEdit.getProperty("options.language.languageStatus.english"),
			jEdit.getProperty("options.language.languageStatus.finnish"),
			jEdit.getProperty("options.language.languageStatus.swedish")
		};
		language = new JComboBox(LanguageOptions);
		if(jEdit.getProperty("options.language.status").equals("Finnish"))
			language.setSelectedIndex(1);
		else if(jEdit.getProperty("options.language.status").equals("Swedish"))	
			language.setSelectedIndex(2);
		else	
			language.setSelectedIndex(0);
		
		addComponent(jEdit.getProperty("options.language.text"),
			language);

//		language.addActionListener(new ActionListener()
//		{
//			public void actionPerformed(ActionEvent evt)
//			{
//				updateEnabled();
//			}
//		});

	} //}}}

	//{{{ _save() method
	protected void _save()
	{
		switch(language.getSelectedIndex())
		{
		case 0:
			jEdit.setProperty("options.language.status","English");
			break;
		case 1:
			jEdit.setProperty("options.language.status","Finnish");
			break;
		case 2:
			jEdit.setProperty("options.language.status","Swedish");
			break;
		}
	} //}}}

	//{{{ Private members

	//{{{ Instance variables
	private JComboBox language;
	//}}}

/*	//{{{ updateEnabled() method
	private void updateEnabled()
	{
		String className = lfs[lookAndFeel.getSelectedIndex()]
			.getClassName();

		if(className.equals("javax.swing.plaf.metal.MetalLookAndFeel")
			|| className.equals("com.incors.plaf.kunststoff.KunststoffLookAndFeel"))
		{
			primaryFont.setEnabled(true);
			secondaryFont.setEnabled(true);
		}
		else
		{
			primaryFont.setEnabled(false);
			secondaryFont.setEnabled(false);
		}
	} //}}}
*/
	//}}}
}
